%global commit f08cf4ebb06b5be392726c54d2d2d7c1440d62d3

Name:           poscat-fedora-customizations
Version:        0
Release:        12%{?dist}
Summary:        Fedora customizations

License:        Unlicense
URL:            https://git.poscat.moe:8443/poscat/fedora-customizations
Source0:        %{URL}/archive/%{commit}.tar.gz

BuildRequires:  systemd-rpm-macros
BuildArch:      noarch

%description
Fedora customizations by poscat


%prep
%autosetup -n fedora-customizations


%install
mkdir -p %{buildroot}%{_sysconfdir}/
cp -r etc/* %{buildroot}%{_sysconfdir}/
mkdir -p %{buildroot}%{_prefix}/
cp -r usr/* %{buildroot}%{_prefix}/


%files
%{_sysconfdir}/ssh/authorized_keys.d
%{_sysconfdir}/ssh/sshd_config.d/*.conf
%{_sysconfdir}/mock/*.cfg
%{_sysconfdir}/keyd/*
%{_sysconfdir}/profile.d/*.sh
%{_sysctldir}/*.conf
%{_systemd_util_dir}/resolved.conf.d/*.conf
%{_systemd_util_dir}/zram-generator.conf.d/*.conf
%{_systemd_util_dir}/system/tmp.mount.d/*.conf
/usr/lib/dracut/dracut.conf.d/*.conf
/usr/lib/sddm/sddm.conf.d/sddm.conf
/usr/lib/NetworkManager/conf.d/*.conf


%changelog
%autochangelog
